Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ws.commons.schema
Class XmlSchemaAttribute

    java.lang.Object
      org.apache.ws.commons.schema.XmlSchemaObject
          org.apache.ws.commons.schema.XmlSchemaAnnotated
              org.apache.ws.commons.schema.XmlSchemaAttribute

    public class XmlSchemaAttribute

extends XmlSchemaAnnotated

Class for attribute types. Represents the World Wide Web Consortium (W3C) attribute element.

Field Summary

Fields inherited from class org.apache.ws.commons.schema.XmlSchemaAnnotated
`unhandledAttributes`

Constructor Summary
`XmlSchemaAttribute()` Creates new XmlSchemaAttribute

Method Summary
`java.lang.Object` | `getAttributeType()`
`java.lang.String` | `getDefaultValue()`
`java.lang.String` | `getFixedValue()`
`XmlSchemaForm` | `getForm()`
`java.lang.String` | `getName()`
`javax.xml.namespace.QName` | `getQName()`
`javax.xml.namespace.QName` | `getRefName()`
`XmlSchemaSimpleType` | `getSchemaType()`
`javax.xml.namespace.QName` | `getSchemaTypeName()`
`XmlSchemaUse` | `getUse()`
`void` | `setDefaultValue(java.lang.String defaultValue)`
`void` | `setFixedValue(java.lang.String fixedValue)`
`void` | `setName(java.lang.String name)`
`void` | `setQName(javax.xml.namespace.QName qualifiedName)`
`void` | `setRefName(javax.xml.namespace.QName refName)`
`void` | `setSchemaForm(XmlSchemaForm form)`
`void` | `setSchemaType(XmlSchemaSimpleType schemaType)`
`void` | `setSchemaTypeName(javax.xml.namespace.QName schemaTypeName)`
`void` | `setUse(XmlSchemaUse use)`
`java.lang.String` | `toString(java.lang.String prefix, int tab)`

Methods inherited from class org.apache.ws.commons.schema.XmlSchemaAnnotated
`getAnnotation, getId, getUnhandledAttributes, setAnnotation, setId, setUnhandledAttributes, toString`

Methods inherited from class org.apache.ws.commons.schema.XmlSchemaObject
`addMetaInfo, equals, getLineNumber, getLinePosition, getMetaInfoMap, getSourceURI, setLineNumber, setLinePosition, setMetaInfoMap, setSourceURI`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XmlSchemaAttribute

    public XmlSchemaAttribute()

  Creates new XmlSchemaAttribute

Method Detail

### getAttributeType

    public java.lang.Object getAttributeType()

### getDefaultValue

    public java.lang.String getDefaultValue()

### setDefaultValue

    public void setDefaultValue(java.lang.String defaultValue)

### getFixedValue

    public java.lang.String getFixedValue()

### setFixedValue

    public void setFixedValue(java.lang.String fixedValue)

### getForm

    public XmlSchemaForm getForm()

### setSchemaForm

    public void setSchemaForm(XmlSchemaForm form)

### getQName

    public javax.xml.namespace.QName getQName()

### setQName

    public void setQName(javax.xml.namespace.QName qualifiedName)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getRefName

    public javax.xml.namespace.QName getRefName()

### setRefName

    public void setRefName(javax.xml.namespace.QName refName)

### getSchemaType

    public XmlSchemaSimpleType getSchemaType()

### setSchemaType

    public void setSchemaType(XmlSchemaSimpleType schemaType)

### getSchemaTypeName

    public javax.xml.namespace.QName getSchemaTypeName()

### setSchemaTypeName

    public void setSchemaTypeName(javax.xml.namespace.QName schemaTypeName)

### getUse

    public XmlSchemaUse getUse()

### setUse

    public void setUse(XmlSchemaUse use)

### toString

    public java.lang.String toString(java.lang.String prefix,
                                     int tab)

  Overrides:
    `toString` in class `XmlSchemaObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 The Apache Software Foundation. All Rights Reserved.